Site requirements:
MacIntosh
Internet Explorer 5 (upgrade)
Netscape 6 (upgrade)
Personal Computer (PC)
Internet Explorer 4 (upgrade)
Netscape 6 (upgrade)


Macromedia Flash plug-in, version 7 (upgrade)